cocoapods_cocoapods使用 - CSDN
精华内容
参与话题
  • Cocoapods1.9安装教程

    千次阅读 2020-04-13 01:09:32
    ios开发会用到很多第三方库,管理第三方库通常用到cocoapods,安装cocoapods是个麻烦的事情,我搞了两天,头都搞大了,因为看了教程都是比较旧的,很多东西都已经失效,走了很多弯路,在此分享我的安装过程,本教程...

    Cocoapods1.9安装教程

    ios开发会用到很多第三方库,管理第三方库通常用到cocoapods,安装cocoapods是个麻烦的事情,我搞了两天,头都搞大了,因为看了教程都是比较旧的,很多东西都已经失效,走了很多弯路,在此分享我的安装过程,本教程是cocoapods1.9.1版本!!!

    1、升级Ruby环境
    1.1、打开终端:>_
    1.2、输入指令查看当前Ruby版本
    $ ruby -v
    1.3、输入指令升级升级Ruby至最新版本
    $ gem update --system

    出现以下说明Ruby为最新版本
    Latest version already installed. Done.

    2、更换镜像
    安装CocoaPods时我们要访问cocoapods.org,该网站可能被我们大天朝墙了,我们可以更换到国内的源进行访问。很多旧教程使用的是淘宝的源http://ruby.taobao.org。这个源已经失效了,而有些近期的教程使用的是https://gems.ruby-china.org/
    这个源也已经改了,改成了https://gems.ruby-china.com/。大家可以进这个网站看看,首页有说明。
    2.1、移除原始源
    $ gem sources --remove https://rubygems.org/
    2.2、添加新源
    $ gem sources --add https://gems.ruby-china.com/
    2.3、查看当前源
    $ gem sources -l
    如果显示下面的内容,则添加完成
    *** CURRENT SOURCES ***

    https://gems.ruby-china.com/

    3、安装Cocoapods
    3.1、直接在终端敲以下指令进行安装
    $ sudo gem install cocoapods
    显示以下内容为安装成功
    9 gens installed
    3.2、查看当前cocoapods版本,若能显示版本号为安装成功
    $ pod --version
    显示当前版本为1.9.1
    3.3、更新本地库,此步为耗时操作
    $ pod setup
    3.4、测试cocoapods是否可用
    $ pod search AFNetworking
    若显示AFNetworking的各种版本则可用

    4、更换镜像源
    4.1、移除原镜像源
    $ pod repo remove master
    4.2、添加国内镜像源
    $ git clone https://github.com/CocoaPods/Specs.git ~/.cocoapods/repos/master
    4.3、更新镜像源
    $ pod repo update

    Cocoapods安装完成了,新人第一次写这类教程,写得不是很好,还有不懂的可以留言问我,谢谢观看。

    展开全文
  • CocoaPods重装

    千次阅读 2020-05-07 11:45:14
    1.查询 rvm版本 rvm -v 2.查询ruby版本 ruby -v 3.查询 gem 版本 gem -v 4.查询ruby 镜像 gem sources -l 5.升级ruby环境到 2.2.2 //查询最新版本 rvm list known //下载对应版本 ...ruby 2.2.2p...

    1.查询 rvm版本

    rvm -v
    

    2.查询ruby版本

    ruby -v
    

    3.查询 gem 版本

    gem -v
    

    4.查询ruby 镜像

    gem sources -l
    

    5.升级ruby环境到 2.2.2

    //查询最新版本
    rvm list known 
    //下载对应版本
    rvm install ruby 2.2.2
    

    6.再次查询 看看升级成功

     ruby -v
    

    ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-darwin14]

    7.查询镜像

     gem sources -l
    

    *** CURRENT SOURCES ***

    https://ruby.taobao.org/

    8.更换镜像地址 成腾讯云 淘宝镜像好像不行了

    $ gem sources --remove https://ruby.taobao.org/
    

    https://ruby.taobao.org/ removed from sources

    最近发现http://gems.ruby-china.org/ 域名更新了org 换成 com

     gem sources -a http://gems.ruby-china.com/
    

    http://gems.ruby-china.com/ added to sources

    9.最后升级 cocoaPods

     sudo gem install cocoapods  
    

    如果成功以后 可以 pod —version 查询一下版本 但是 我自己的电脑 出现了

    /Library/Ruby/Site/2.0.0/rubygems.rb:250:in `find_spec_for_exe’: can’t
    find gem cocoapods (>= 0.a) (Gem::GemNotFoundException)
    from /Library/Ruby/Site/2.0.0/rubygems.rb:278:in activate_bin_path
    from /usr/local/bin/pod:22:in <main

    这个错误

    公司的电脑出现了

    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in
    `require’: cannot load such file – utils/popen (LoadError)

    from
    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in
    `require’

    from /usr/local/Library/Homebrew/utils.rb:6:in `<top
    (required)>’

    这个错误

    我就先把 gem 版本升级了

    gem update —system
    

    然后查看 gem -v

     gem -v
    

    2.6.8

    这时候 我从网上看到一位朋友给的解决办法 我就粘贴了试了试 下面是我公司电脑出的错误 , 上面2个错误的解决办法是一样的

    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb:296:in
    to_specs’: Could not find ‘cocoapods’ (>= 0) among 25 total gem(s)
    (Gem::LoadError) from
    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb:307:in
    to_spec’ from
    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_gem.rb:47:in
    gem’ from /usr/local/bin/pod:22:in <main

    现找一下 pod的路径

    which pod
    

    /usr/local/bin/pod

    删除目录下的文件

     sudo rm -rf /usr/local/bin/pod
    Password:
    

    获取gem

     gem list
    

    *** LOCAL GEMS ***

    activesupport (5.0.0.1)
    bigdecimal (default: 1.2.6)
    bundler-unload(1.0.2)
    cocoa (0.1.6)
    concurrent-ruby (1.0.2)
    executable-hooks (1.3.2)
    ffi (1.9.14)
    gem-wrappers (1.2.7)
    i18n (0.7.0)
    io-console (default:0.4.3)
    json (default: 1.8.1)
    minitest (5.4.3)
    pods (0.0.1)
    power_assert (0.2.2)
    psych (default: 2.0.8)
    rake (default: 10.4.2)
    rdoc (default: 4.2.0)
    rubygems-bundler (1.4.4)
    rubygems-update (2.6.8)
    rvm (1.11.3.9)
    test-unit (3.0.8)
    thread_safe (0.3.5)
    tzinfo (1.2.2)

    移除程序包(我的列表没有,有的话可以删除)

     gem uninstall cocoapods -v 0.39.0
     gem uninstall cocoapods-core -v 0.39.0
    

    在这里我没有输出 正常的会有输出

    Successfully uninstalled cocoapods-0.39.0
    Successfully uninstalled cocoapods-core-0.39.0

    然后下面我直接安装了cocoapod

     sudo gem install cocoapods
    

    然后下面是安装过程

    ………….Done installing documentation for nanaimo, colored, claide,
    CFPropertyList, activesupport, xcodeproj, nap, molinillo,
    gh_inspector, fourflusher, escape, cocoapods-try, netrc,
    cocoapods-trunk, cocoapods-stats, cocoapods-search, cocoapods-plugins,
    cocoapods-downloader, cocoapods-deintegrate, fuzzy_match,
    cocoapods-core, cocoapods after 15 seconds 22 gems installed

    最后检查一下版本

     pod --version
    

    1.9.1
    最终完成了

    番外:

    $ pod --version
    执行 pod --version命令 报以下错误

    Traceback (most recent call last):
    2: from /usr/local/bin/pod:23:in <main>' 1: from /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/rubygems.rb:302:inactivate_bin_path’
    /System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/rubygems.rb:283:in `find_spec_for_exe’: can’t find gem cocoapods (>= 0.a) with executable pod (Gem::GemNotFoundException)

    解决方法:

    sudo gem uninstall cocoapods

    gem install cocoapods

    好的,解决问题 布拉布拉布拉布拉~~~

    展开全文
  • CocoaPods安装和使用教程

    万次阅读 多人点赞 2013-11-28 18:47:31
    CocoaPods安装和使用教程 Code4App 原创文章。转载请注明出处:http://code4app.com/article/cocoapods-install-usage 目录 CocoaPods是什么?如何下载和安装CocoaPods?如何使用CocoaPods? 场景1:利用...


    CocoaPods安装和使用教程

    Code4App 原创文章。转载请注明出处:http://code4app.com/article/cocoapods-install-usage

    目录

    CocoaPods是什么?

    当你开发iOS应用时,会经常使用到很多第三方开源类库,比如JSONKit,AFNetWorking等等。可能某个类库又用到其他类库,所以要使用它,必须得另外下载其他类库,而其他类库又用到其他类库,“子子孙孙无穷尽也”,这也许是比较特殊的情况。总之小编的意思就是,手动一个个去下载所需类库十分麻烦。另外一种常见情况是,你项目中用到的类库有更新,你必须得重新下载新版本,重新加入到项目中,十分麻烦。如果能有什么工具能解决这些恼人的问题,那将“善莫大焉”。所以,你需要 CocoaPods。

    CocoaPods应该是iOS最常用最有名的类库管理工具了,上述两个烦人的问题,通过cocoaPods,只需要一行命令就可以完全解决,当然前提是你必须正确设置它。重要的是,绝大部分有名的开源类库,都支持CocoaPods。所以,作为iOS程序员的我们,掌握CocoaPods的使用是必不可少的基本技能了。

    如何下载和安装CocoaPods?

    在安装CocoaPods之前,首先要在本地安装好Ruby环境。至于如何在Mac中安装好Ruby环境,请google一下,本文不再涉及。

    假如你在本地已经安装好Ruby环境,那么下载和安装CocoaPods将十分简单,只需要一行命令。在Terminator(也就是终端)中输入以下命令(注意,本文所有命令都是在终端中输入并运行的。什么,你不知道什么是终端?那请小编吃饭,小编告诉你):

    sudo gem install cocoapods
    

    但是,且慢。如果你在天朝,在终端中敲入这个命令之后,会发现半天没有任何反应。原因无他,因为那堵墙阻挡了cocoapods.org。(你会问,我靠,这都要墙!是的,小编也纳闷。)

    但是,是的,又但是(不过是个可喜的“但是”)。我们可以用淘宝的Ruby镜像来访问cocoapods。按照下面的顺序在终端中敲入依次敲入命令:

    $ gem sources --remove https://rubygems.org/
    //等有反应之后再敲入以下命令
    $ gem sources -a http://ruby.taobao.org/
    

    为了验证你的Ruby镜像是并且仅是taobao,可以用以下命令查看:

    $ gem sources -l
    

    只有在终端中出现下面文字才表明你上面的命令是成功的:

    *** CURRENT SOURCES ***
    
    http://ruby.taobao.org/
    

    上面所有的命令完成之时,在小编的终端上是这个的样子:

    Figure 1

    这时候,你再次在终端中运行:

    $ sudo gem install cocoapods
    

    等上十几秒钟,CocoaPods就可以在你本地下载并且安装好了,不再需要其他设置。

    敲入以上命令时,小编终端上是这个样子的(由于太长,仅截取前面一部分):

    Figure 2

    看到这里,你心里会不会说,我靠!太爽了,这么容易就可以下载并且安装好了!是的,小编也是这么想的。CocoPods就是这么简单,使用也十分简单。继续往下看吧。

    如何使用CocoaPods?

    好了,安装好CocoPods之后,接下来就是使用它。所幸,使用CocoPods和安装它一样简单,也是通过一两行命令就可以搞定。

    小编在这里用两种使用场景来具体说明如何使用CocoaPods。

    场景1:利用CocoaPods,在项目中导入AFNetworking类库

    AFNetworking类库在GitHub地址是:https://github.com/AFNetworking/AFNetworking

    为了确定AFNetworking是否支持CocoaPods,可以用CocoaPods的搜索功能验证一下。在终端中输入:

    $ pod search AFNetworking
    

    过几秒钟之后,你会在终端中看到关于AFNetworking类库的一些信息。比如:

    Figure 3

    这说明,AFNetworking是支持CocoaPods,所以我们可以利用CocoaPods将AFNetworking导入你的项目中。

    首先,我们需要在我们的项目中加入CocoaPods的支持。你可以跟随小编的步骤,先利用Xcode创建一个名字CocoaPodsDemo的项目,用于以下的教程。创建好之后,在继续下一步之前,小编先截图,看看项目没有支持CocoaPods时的项目Xcode目录结构:

    Figure 4

    上图等一下要跟项目支持CocoaPods之后的项目Xcode目录结构做对比。

    你看到这里也许会问,CocoaPods为什么能下载AFNetworking呢,而不是下载其他类库呢?这个问题的答案是,有个文件来控制CocoaPods该下载什么。这个文件就叫做“Podfile”(注意,一定得是这个文件名,而且没有后缀)。你创建一个Podfile文件,然后在里面添加你需要下载的类库,也就是告诉CocoaPods,“某某和某某和某某某,快到碗里来!”。每个项目只需要一个Podfile文件。

    好吧,废话少说,我们先创建这个神奇的PodFile。在终端中进入(cd命令)你项目所在目录,然后在当前目录下,利用vim创建Podfile,运行:

    $ vim Podfile
    

    然后在Podfile文件中输入以下文字:

    platform :ios, '7.0'
    pod "AFNetworking", "~> 2.0"
    

    注意,这段文字不是小编凭空生成的,可以在AFNetworking的github页面找到。这两句文字的意思是,当前AFNetworking支持的iOS最高版本是iOS 7.0, 要下载的AFNetworking版本是2.0。

    然后保存退出。vim环境下,保存退出命令是:

    :wq
    

    这时候,你会发现你的项目目录中,出现一个名字为Podfile的文件,而且文件内容就是你刚刚输入的内容。注意,Podfile文件应该和你的工程文件.xcodeproj在同一个目录下。

    这时候,你就可以利用CocoPods下载AFNetworking类库了。还是在终端中的当前项目目录下,运行以下命令:

    $ pod install 
    

    因为是在你的项目中导入AFNetworking,这就是为什么这个命令需要你进入你的项目所在目录中运行。

    运行上述命令之后,小编的终端出现以下信息:

    EricmatoMacBook-Pro:CocoaPodsDemo ericwang$ pod install
    Analyzing dependencies
    Downloading dependencies
    Installing AFNetworking (2.0.2)
    Generating Pods project
    Integrating client project
    
    [!] From now on use `CocoaPodsDemo.xcworkspace`.
    

    注意最后一句话,意思是:以后打开项目就用 CocoaPodsDemo.xcworkspace 打开,而不是之前的.xcodeproj文件。

    你也许会郁闷,为什么会出现.xcodeproj文件呢。这正是你刚刚运行$ pod install命令产生的新文件。除了这个文件,你会发现还多了另外一个文件“Podfile.lock”和一个文件夹“Pods”。 点击 CocoaPodsDemo.xcworkspace 打开之后工程之后,项目Xcode目录结构如下图:

    Figure 5

    你会惊喜地发现,AFNetwoking已经成功导入项目了(红框部分)!

    现在,你就可以开始使用AFNetworking.h啦。可以稍微测试一下,在你的项目任意代码文件中输入:

    #import <AFNetworking.h>
    或者
    #import "AFNetworking.h"
    

    然后编译,看看是否出错。如果你严格按照小编上述的步骤来,是不可能出错的啦。

    至此,CocoPods的第一个应用场景讲述完毕。别看小编写了这么多,其实过程是十分简单的。总结一下就是:

    1. 先在项目中创建Podfile,Podfile的内容是你想导入的类库。一般类库的原作者会告诉你导入该类库应该如何写Podfile;
    2. 运行命令:`$ pod install.

    下面,小编继续讲述第二种使用场景。

    场景2:如何正确编译运行一个包含CocoPods类库的项目

    你也许曾经遇到过(特别是新手iOS开发者)这种情况,好不容易在GitHub上找到一份代码符合自己想需求,兴冲冲下载下来,一编译,傻眼了,发现有各种各样错误。一看,原来是缺失了各种其他第三方类库。这时候莫慌,你再仔细一看,会发现你下载的代码包含了Podfile。没错,这意味着你可以用CocoaPods很方便下载所需要的类库。

    下面,小编以代码 UAAppReviewManager 为例来说明如何正确编译运行一个包含CocoPods类库的项目。

    UAAppReviewManager是一个能够让你方便地将提醒用户评分的功能加入你的应用中。当你去UAAppReviewManager的GitHub地址下载这份代码之后,打开Example工程(UAAppReviewManagerExample),编译,你会发现Xcode报告一大堆错误,基本都是说你编译的这份代码找不到某某头文件,这就意味着你要成功编译UAAppReviewManager的Example代码,必须先导入一些第三方类库。同时你会发现在UAAppReviewManagerExample文件夹下面有三个跟CocosPods相关的文件(文件夹):Podfile,Podfile.lock和Pods,如下图:

    Figure 6

    这时候,打开终端,进入UAAppReviewManagerExample所在的目录,也就是和Podfile在同一目录下,和场景1一样,输入以下命令(由于已经有Podfile,所以不需要再创建Podfile):

    $ pod update
    

    过几秒(也许需要十几秒,取决于你的网络状况)之后,终端出现:

    Analyzing dependencies
    Fetching podspec for `UAAppReviewManager` from `../`
    Downloading dependencies
    Installing UAAppReviewManager (0.1.6)
    Generating Pods project
    Integrating client project
    
    [!] From now on use `UAAppReviewManagerExample.xcworkspace`.
    

    这时候,再回到UAAppReviewManagerExample文件夹看一看,会看到多了一个文件UAAppReviewManagerExample.xcworkspace:

    Figure 7

    根据终端的信息提示,你以后就需用新产生的UAAppReviewManagerExample.xcworkspace来运行这个Example代码了。

    打开UAAppReviewManagerExample.xcworkspace,编译运行,成功!如下图:

    Figure 8

    注意,这里有个小问题,如果刚刚你不是输入$ pod update,而是输入$ pod install,会发现类库导入不成功,并且终端出现下面提示:

    [!] Required version (UAAppReviewManager (from `../`)) not found for `UAAppReviewManager`.
    Available versions: 0.1.6
    

    这里的意思大概是Podfile文件过期,类库有升级,但是Podfile没有更改。$ pod install只会按照Podfile的要求来请求类库,如果类库版本号有变化,那么将获取失败。但是 $ pod update会更新所有的类库,获取最新版本的类库。而且你会发现,如果用了 $ pod update,再用 $ pod install 就成功了。

    那你也许会问,什么时候用 $ pod install,什么时候用 $ pod update 呢,我又不知道类库有没有新版本。好吧,那你每次直接用 $ pod update 算了。或者先用 $ pod install,如果不行,再用 $ pod update

    好了,小编就啰嗦到这里吧。上述都只是CocoaPods的最基本用法。要继续研究CocoaPods其他高级用法,请点击这里CocoaPods Wiki

    当然,如果你觉得小编上面的叙述有问题,或者你有补充,可以发邮件给小编:admin@code4app.com 。

    另外,如果你希望小编写其他iOS技术类的文章,也可以发信给小编。


    展开全文
  • Cocoapods

    2018-09-03 08:11:09
    2、导入Cocoapods框架 操作命令:打开终端:A: cd 工程 B :vim pod file C:pod install 3、友盟SDK集成下载网址:https://developer.umeng.com/sdk 4、参考新浪微博ios开放文档链接:...

    1、新建工程
    2、导入Cocoapods框架
    操作命令:打开终端:A: cd 工程 B :vim pod file C:pod install
    3、友盟SDK集成下载网址:https://developer.umeng.com/sdk
    4、参考新浪微博ios开放文档链接:http://wiki.mob.com/%E5%BF%AB%E9%80%9F%E9%9B%86%E6%88%90/
    5、在other linker Flags 添加配置 -licucore

    1、新建工程
    2、导入Cocoapods框架
    操作命令:打开终端操作步骤:A: cd 工程 B :vim podfile C:pod install
    3、AppKey生成链接:http://bbs.mob.com/forum.php?mod=viewthread&tid=8212&extra=page%3D1
    4、友盟SDK集成网址(只需要把SDK拖到工程):https://developer.umeng.com/sdk
    5、新浪微博登录操作链接:http://wiki.mob.com/%E5%BF%AB%E9%80%9F%E9%9B%86%E6%88%90/
    (特别提示:友盟SDK集成和新浪微博SDK,下载群里我分享的SDK压缩包)
    备注:podfile导入文件参考
    target ‘工程名’ do
    pod ‘UMCCommon’
    pod ‘UMCAnalytics’
    pod ‘UMCSecurityPlugins’
    end

    CocoaPods安装和使用教程
    http://code4app.com/article/cocoapods-install-usage

    cocoapods:安装/更新Ruby环境教程
    http://www.cnblogs.com/Mrliheng/p/5665894.html
    http://www.cnblogs.com/dsxniubility/p/4621314.html

    ios项目中安装和使用CocoaPods
    http://blog.csdn.net/jjmm2009/article/details/41944959

    MacOS10.12系统cocoapods安装
    http://blog.csdn.net/longzs/article/details/52778538

    查看当前ruby版本 ,获取rvm 列表
    ruby -v
    cd
    —————————终端创建Podfile文件
    导入库之前先查询一下 它的最高版本 pod search (库名)⬅️ 并在终端查询

    1. 在终端输入 (cd 拖拽文件路径)
    2. 在终端中进入(cd命令)你项目所在目录,然后在当前目录下,利用vim创建Podfile,运行:vim Podfile
      3.
      target ‘项目名称’ do
      pod ‘AFNetworking’
      pod ‘ORStackView’
      pod ‘SwiftyJSON’,
      end
      4.保存并退出::wq
      5.运行以下命令:pod install
    展开全文
  • CocoaPods详解之----进阶篇

    万次阅读 2014-03-04 15:51:28
    CocoaPods详解之----进阶篇 作者:wangzz 原文地址:http://blog.csdn.net/wzzvictory/article/details/18737437 转载请注明出处 如果觉得文章对你有所帮助,请通过留言或关注微信公众帐号wangzzstrive来支持我...
  • CocoaPods原理

    千次阅读 2019-11-05 20:02:35
    CocoaPods是IOS项目上负责管理依赖的工具,即对第三方库的依赖。 CocoaPods 的原理是将所有的依赖库都放到另一个名为Pods的项目中, 然而让主项目依赖Pods项目, 这样,源码管理工作任务从主项目移到了Pods项目中.  1...
  • cocoapods

    2019-04-16 14:55:30
    一.... 创建代码仓库 填写仓库名称 填写描述 选择Public 公有仓库,选择初始化README,选择 add a license 选择Mit如何忘记添加license 可以创建后添加,请参考...
  • CocoaPods简介

    千次阅读 2019-03-08 10:27:42
    1、为什么需要CocoaPods 在进行iOS开发的时候,总免不了使用第三方的开源库,比如SBJson、AFNetworking、Reachability等等。使用这些库的时候通常需要: 下载开源库的源代码并引入工程 向工程中添加开源库使用到的...
  • CocoaPods是什么?

    千次阅读 2019-08-02 01:03:18
    CocoaPods cocoaPods是用来管理swift和OC依赖的工具,超过64000个库,被300万app使用。CocoaPods能够让你优雅的管理你的项目。( CocoaPods is a dependency manager for Swift and Objective-C Cocoa projects. It ...
  • sudo gem uninstall -n /usr/local/bin cocoapods 2、替换镜像源 gem sources --remove https://rubygems.org/gem sources --add https://gems.ruby-china.com/ 3、下载 CocoaPods $sudo gem install -n /usr/...
  • CocoaPods安装

    千次阅读 2019-06-05 14:09:52
    每年因为MAC系统的更新或者镜像源的变化,导致在pod安装过程中遇见许多问题,因为这玩意一旦安装完之后就没人去管它,所以很多变化之后的操作就产生莫名其妙的错误,很是头疼,今天我来给大家稍作整理,如有不全之处...
  • CocoaPods使用

    2020-05-11 14:48:35
    使用CocoaPods也有很长一段时间了,最近几个月的时间里也主导了公司私有Pods的创建和使用。在此期间踩过了不少坑,在踩坑的过程中也收获了不少经验,更加熟练地掌握了CocoaPods的一些指令的使用。本篇作为这段时间...
  • 1、下载android studio 2、下载flutter sdk 去官网下就可以 3、在studio 安装flutter 并插件配置flutter sdk 4、运行 flutter doctor 5、根据提示安装插件 ...Warning: CocoaPods installed but ...
  • 如何从电脑中卸载cocoapods

    万次阅读 2015-12-30 11:05:55
    今天为了写一篇教大家使用cocoapods的文章 ,特意研究了以下 如何卸载cocoapods, 因为本人的机子上已经安装成功了,所以要研究一下 如何卸载,然后在从新安装。 接下来我就教大家如何卸载cocoapods 1.打开...
  • Cloning spec repo 'cocoapods' from 'https://github.com/CocoaPods/Specs.git' 就不动了,也没个提示啥的,很迷 2.原因 一般来说其实是正在下载东西从github上,但是下载速度很慢 可以如下办法查看进...
  • Pod::Executable clone 'https://github.com/CocoaPods/Specs.git' master
  • 最近换了mac,第一次使用...info Installing required CocoaPods dependencies 卡着一直不动,盲猜是install的源不好使了。 了解了一下之后,CocoaPods这个东西是基于ruby gem的,换源! ~ which pod /usr/loca...
  • ![图片说明](https://img-ask.csdn.net/upload/201907/19/1563471236_533511.png) 就开在 Installing required CocoaPods dependencies 这里一直不动 用科学上网也还是卡在这里,这是为什么...
  • 之前建立的包如下 现在要新增一个  报错 解决方法:删掉Podfile.lock文件 参考博客:https://www.jianshu.com/p/1950da79b79b  
  • 最近在安装cocoapods, pod setup时,CocoaPodsCocoaPods was not able to update the `master` repo. If this is an unexpected issue and persists you can inspect it running `pod repo update --verbose`错误...
1 2 3 4 5 ... 20
收藏数 24,030
精华内容 9,612
关键字:

cocoapods